This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1306389 - JGRP-2014 FILE_PING destination file name can include File.separator characters
JGRP-2014 FILE_PING destination file name can include File.separator characters
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.6.1
Assigned To: Vaclav Dedik
Martin Gencur
:
Depends On:
Blocks: 1309749
  Show dependency treegraph
 
Reported: 2016-02-10 12:14 EST by Alan Field
Modified: 2016-08-12 15:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDG-85 Major Verified Component Upgrade for JGroups 3.6.9 (JGroups-2014 FILE_PING) 2017-05-16 04:09 EDT
JBoss Issue Tracker JGRP-2014 Major Resolved FILE_PING destination file name can include File.separator characters 2017-05-16 04:09 EDT

  None (edit)
Description Alan Field 2016-02-10 12:14:49 EST
Description of problem:

Tracking bug for JDG 6.6

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Alan Field 2016-02-11 08:45:39 EST
This has been fixed upstream, so the following commit just needs to be cherry picked:

https://github.com/belaban/JGroups/commit/a95a3e2e3f2707d41388bf00e2f9bf6ec37bf262
Comment 3 Alan Field 2016-02-15 09:56:04 EST
(In reply to Alan Field from comment #2)
> This has been fixed upstream, so the following commit just needs to be
> cherry picked:
> 
> https://github.com/belaban/JGroups/commit/
> a95a3e2e3f2707d41388bf00e2f9bf6ec37bf262

Actually, the previous commit did not fix the issue, but this one will:

https://github.com/alanfx/JGroups/commit/78ce57a3f4b7acfb2ad9c9fdcf0d1a45630ee8b7
Comment 4 Alan Field 2016-03-02 08:32:41 EST
(In reply to Alan Field from comment #3)
> (In reply to Alan Field from comment #2)
> > This has been fixed upstream, so the following commit just needs to be
> > cherry picked:
> > 
> > https://github.com/belaban/JGroups/commit/
> > a95a3e2e3f2707d41388bf00e2f9bf6ec37bf262
> 
> Actually, the previous commit did not fix the issue, but this one will:
> 
> https://github.com/alanfx/JGroups/commit/
> 78ce57a3f4b7acfb2ad9c9fdcf0d1a45630ee8b7

This is the ultimate fix for this issue: (I mean it this time!)

https://github.com/belaban/JGroups/commit/983fc49edc0350c081158bea4a534bdb4e70ed29
Comment 5 JBoss JIRA Server 2016-04-19 03:11:12 EDT
Vaclav Dedik <vdedik@redhat.com> updated the status of jira JDG-85 to Resolved
Comment 6 Pedro Zapata 2016-07-20 11:40:43 EDT
Fix needs to be cherry-picked into JDG
Comment 8 Alan Field 2016-08-12 15:03:38 EDT
Verified with JDG 6.6.1 ER1

Note You need to log in before you can comment on or make changes to this bug.